MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000153SoldatOtherpublic2012-02-02 00:572014-01-07 15:19
ReporterVis 
Assigned Toskoskav 
PrioritylowSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version1.6.2 
Target VersionFixed in Version1.6.4 
Summary0000153: m79 explosion sound with colliders
DescriptionWhen an m79 shell hits a collider (like a box), it plays grenade-explosion.wav instead of m79-explosion.wav
Steps To ReproduceModify either grenade-explosion.wav, or m79-explosion.wav to a different sound. Shoot a box and a polygon with the m79, compare the sounds.
Additional InformationNot directly related, but it would be nice to have separate gfx files for the m79 explosion, since it already has its own sound.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001299)
asdf (reporter)
2012-02-02 21:16

Always it was like this.
(0001303)
Vis (reporter)
2012-02-03 03:27

Yes, but should it be? It doesn't make any sense. I'm using a mod that has a completely different weapon for the m79, and the explosion sound is nothing like the grenade. It's just stupid when the projectile hits a box and plays a regular explosion sound instead.

Also happens with the LAW, forgot to mention that.
(0001304)
Shoozza (administrator)
2012-02-03 03:39

This happens for m79 grenade, flame arrow and LAW missile.
Bullet type 4, 8 and 12 (http://devs.soldat.pl/wiki/index.php/Bullets [^]).
(0001305)
Shoozza (administrator)
2012-02-03 03:42

Which sound should be played for:
m79 grenade,
flame arrow,
LAW missile,
when it hits a collider?

I'm assuming different sounds for different bullets.
(0001310)
Vis (reporter)
2012-02-04 04:51

They should play the same sound they play when hitting a polygon (I suppose that modders would appreciate the option for different sounds when hitting different objects, but that's pushing it a bit).

So, no matter what an m79 hits, it should play m79-explosion.wav, and if you added a separate sound for LAW, it would always play law-explosion.wav when it explodes. Collider or polygon shouldn't make a difference, IMO.
(0001696)
skoskav (developer)
2013-01-18 23:47

Hitting a collider will now work the same as hitting a polygon or player.

- Issue History
Date Modified Username Field Change
2012-02-02 00:57 Vis New Issue
2012-02-02 21:16 asdf Note Added: 0001299
2012-02-03 03:27 Vis Note Added: 0001303
2012-02-03 03:39 Shoozza Note Added: 0001304
2012-02-03 03:39 Shoozza Status new => confirmed
2012-02-03 03:42 Shoozza Note Added: 0001305
2012-02-03 03:42 Shoozza Status confirmed => feedback
2012-02-04 04:51 Vis Note Added: 0001310
2012-02-04 04:51 Vis Status feedback => new
2012-02-16 12:14 Shoozza Status new => confirmed
2013-01-18 23:47 skoskav Note Added: 0001696
2013-01-18 23:47 skoskav Status confirmed => resolved
2013-01-18 23:47 skoskav Fixed in Version => 1.6.4
2013-01-18 23:47 skoskav Resolution open => fixed
2013-01-18 23:47 skoskav Assigned To => skoskav
2014-01-07 15:19 homerofgods Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker